# OpenLayers.Pixel

This class represents a screen coordinate, in x and y coordinates

Summary

OpenLayers.Pixel | This class represents a screen coordinate, in x and y coordinates
Properties |
x | {Number} The x coordinate
y | {Number} The y coordinate
Constructor |
OpenLayers.Pixel | Create a new OpenLayers.Pixel instance
Functions |
clone | Return a clone of this pixel object
equals | Determine whether one pixel is equivalent to another
distanceTo | Returns the distance to the pixel point passed in as a parameter.
add |
offset | Parameters px - {OpenLayers.Pixel}

### Properties

### x

{Number} The x coordinate

### y

{Number} The y coordinate

### Constructor

### OpenLayers.Pixel

Create a new OpenLayers.Pixel instance

#### Parameters

x | {Number} The x coordinate
y | {Number} The y coordinate

#### Returns

An instance of OpenLayers.Pixel

### Functions

### clone

> clone:function()

Return a clone of this pixel object

#### Returns

{OpenLayers.Pixel} A clone pixel

### equals

> equals:function( | px | )

Determine whether one pixel is equivalent to another

#### Parameters

px | {OpenLayers.Pixel}

#### Returns

{Boolean} The point passed in as parameter is equal to this. Note that if px passed in is null, returns false.

### distanceTo

> distanceTo:function( | px | )

Returns the distance to the pixel point passed in as a parameter.

#### Parameters

px | {OpenLayers.Pixel}

#### Returns

{Float} The pixel point passed in as parameter to calculate the distance to.

### add

> add:function( | x,
> | y | )

#### Parameters

x | {Integer}
y | {Integer}

#### Returns

{OpenLayers.Pixel} A new Pixel with this pixel’s x&y augmented by the values passed in.

### offset

> offset:function( | px | )

Parameters px - {OpenLayers.Pixel}

#### Returns

{OpenLayers.Pixel} A new Pixel with this pixel’s x&y augmented by the x&y values of the pixel passed in.

> clone:function()

Return a clone of this pixel object

> equals:function( | px | )

Determine whether one pixel is equivalent to another

> distanceTo:function( | px | )

Returns the distance to the pixel point passed in as a parameter.

> add:function( | x,
> | y | )

> offset:function( | px | )

Parameters px - {OpenLayers.Pixel}
Create a new OpenLayers.Pixel instance
Close